MAV_pyramid(3)

NAME
MAV_pyramid - Default object class ``pyramid''.

LEVEL
Maverik Level 1

SYNTAX

 typedef struct {
  float bot_size_x;
  float bot_size_y;
  float top_size_x;
  float top_size_y;
  float offset_x;
  float offset_y;
  float height;
  MAV_surfaceParams *sp;
  MAV_matrix matrix;
  void *userdef;
} MAV_pyramid;

DESCRIPTION
A pyramid is defined with its centre at the origin. Its top and bottom faces, which are in the XY plane, have sizes top_size_x, top_size_y, bot_size_x and bot_size_y. The pyramid has a height, height, along the Z axis. The X,Y centres of the top and bottom faces are offset by offset_x and offset_y respectively.